Subject: Re: [PATCH] Add (guix git-repo-download).

From: Danny Milosavljevic <[email-masked]>
Date: Mon, 10 Aug 2020 17:05:12 +0200

Hi,

On Mon, 10 Aug 2020 16:50:58 +0200
Jakub Kądziołka <[email-masked]> wrote:

> I think the commit message and/or commentary is written somewhat
> confusingly here. It took me a while to realize that "git-repo" is the
> name of a tool that manages a multi-repository, and not just short for
> "git repository".
> How about replacing "git-repo repository" with "repository managed with
> the git-repo tool" or "git-repo-based multirepository"?

Sure.  Where?  In the "Commentary" comment?  Good idea.

The naming "git-repo" is not great.  To be fair to upstream, their tool is
called "repo", not "git-repo".  Not sure if that's better though.

Also, I thought about naming our downloader (guix repo-download) instead of
(guix git-repo-download), but I thought that wouldn't improve things either.
Would it?